summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMark Loeser <halcy0n@gentoo.org>2005-06-25 04:06:26 +0000
committerMark Loeser <halcy0n@gentoo.org>2005-06-25 04:06:26 +0000
commit05722e53a0ba2e613a47fd1c527227abc98af364 (patch)
tree53fbeee547ac3ad1b8d91ff04fe84a98acecdfc0 /net-mail/mailgraph/files
parentStable ppc-macos (diff)
downloadgentoo-2-05722e53a0ba2e613a47fd1c527227abc98af364.tar.gz
gentoo-2-05722e53a0ba2e613a47fd1c527227abc98af364.tar.bz2
gentoo-2-05722e53a0ba2e613a47fd1c527227abc98af364.zip
initial commit of mailgraph; bug #74372
(Portage version: 2.0.51.22-r1)
Diffstat (limited to 'net-mail/mailgraph/files')
-rw-r--r--net-mail/mailgraph/files/digest-mailgraph-1.111
-rw-r--r--net-mail/mailgraph/files/mailgraph.confd10
-rw-r--r--net-mail/mailgraph/files/mailgraph.initd23
3 files changed, 34 insertions, 0 deletions
diff --git a/net-mail/mailgraph/files/digest-mailgraph-1.11 b/net-mail/mailgraph/files/digest-mailgraph-1.11
new file mode 100644
index 000000000000..359f48fbdaec
--- /dev/null
+++ b/net-mail/mailgraph/files/digest-mailgraph-1.11
@@ -0,0 +1 @@
+MD5 6ddb4804e51c81dcdd5c3f7242031b11 mailgraph-1.11.tar.gz 19719
diff --git a/net-mail/mailgraph/files/mailgraph.confd b/net-mail/mailgraph/files/mailgraph.confd
new file mode 100644
index 000000000000..db6793bfe641
--- /dev/null
+++ b/net-mail/mailgraph/files/mailgraph.confd
@@ -0,0 +1,10 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-mail/mailgraph/files/mailgraph.confd,v 1.1 2005/06/25 04:06:26 halcy0n Exp $
+
+# Location of logfile that postfix logs to.
+# mailgraph defaults to /var/log/syslog if unspecified
+#MG_POSTFIX_LOG="/var/log/mail.log"
+
+# Specify any extra options here.
+#MG_OPTS=""
diff --git a/net-mail/mailgraph/files/mailgraph.initd b/net-mail/mailgraph/files/mailgraph.initd
new file mode 100644
index 000000000000..a2edb4eb6e77
--- /dev/null
+++ b/net-mail/mailgraph/files/mailgraph.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-mail/mailgraph/files/mailgraph.initd,v 1.1 2005/06/25 04:06:26 halcy0n Exp $
+
+start() {
+ ebegin "Starting mailgraph"
+
+ # read postfix log messages somewhere other than /var/log/syslog?
+ [[ -n "${MG_POSTFIX_LOG}" ]] && MG_OPTS="${MG_OPTS} -l ${MG_POSTFIX_LOG}"
+
+ start-stop-daemon --start --quiet \
+ --exec /usr/bin/mailgraph -- --daemon \
+ --daemon-rrd=/var/lib/mailgraph ${MG_OPTS}
+
+ eend $?
+}
+
+stop() {
+ ebegin "Shutting down mailgraph"
+ start-stop-daemon --stop --quiet --pidfile /var/run/mailgraph.pid
+ eend $?
+}